Feature #10419

Upgrade raphael.js (2.1.0)

Added by Pedro Alexandre Pacheco Cipriano about 6 years ago. Updated over 5 years ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Jean-Philippe Lang% Done:

0%

Category:SCM
Target version:2.1.0
Resolution:Fixed

Description

Hi I noticed that Redmine is still using Raphael 1.5.2 couldn't it be updated to latest version 2.0.2. Main advantage would be SVG rendering in IE9.

Associated revisions

Revision 10368
Added by Jean-Philippe Lang over 5 years ago

Upgraded raphael.js to 2.1.0 (#10419).

History

#1 Updated by Etienne Massip about 6 years ago

  • Category changed from Third-party libraries to SCM extra

It already works with IE9?!

#2 Updated by Pedro Alexandre Pacheco Cipriano about 6 years ago

Etienne Massip wrote:

It already works with IE9?!

Yes is correct but only the new version will use SVG in IE9 instead of VML.

#3 Updated by Toshi MARUYAMA about 6 years ago

  • Category changed from SCM extra to SCM

Category "SCM extra" is for reposman.rb and Redmine.pm.
source:tags/1.3.2/extra/svn
Revision graph is core feature.

#4 Updated by Jean-Philippe Lang over 5 years ago

  • Subject changed from Raphael use newer version to Upgrade raphael.js (2.1.0)
  • Status changed from New to Resolved
  • Assignee set to Jean-Philippe Lang
  • Target version set to 2.1.0
  • Resolution set to Fixed

raphael.js upgraded to 2.1.0 in r10368.

#5 Updated by Jean-Philippe Lang over 5 years ago

  • Status changed from Resolved to Closed

Merged.

Also available in: Atom PDF